Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer.POAPackage
Class NoServantHelper

    java.lang.Object
      org.omg.PortableServer.POAPackage.NoServantHelper

    public abstract class NoServantHelper

extends Object

org/omg/PortableServer/POAPackage/NoServantHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableServer/poa.idl Wednesday, August 11, 2004 5:04:01 AM GMT-08:00

Constructor Summary
`NoServantHelper()`

Method Summary
`static NoServant` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, NoServant that)`
`static NoServant` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, NoServant value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoServantHelper

    public NoServantHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NoServant that)

### extract

    public static NoServant extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static NoServant read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             NoServant value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.